package com.ruoyi.warehouseBusiness.service;


import com.ruoyi.warehouseBusiness.domain.TEnclosure;

import java.util.List;

/**
 * 附件Service接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface ITEnclosureService {
    /**
     * 查询附件
     *
     * @param fId 附件ID
     * @return 附件
     */
    public TEnclosure selectTEnclosureById(Long fId);

    /**
     * 查询附件列表
     *
     * @param tEnclosure 附件
     * @return 附件集合
     */
    public List<TEnclosure> selectTEnclosureList(TEnclosure tEnclosure);

    /**
     * 新增附件
     *
     * @param tEnclosure 附件
     * @return 结果
     */
    public int insertTEnclosure(TEnclosure tEnclosure);

    /**
     * 修改附件
     *
     * @param tEnclosure 附件
     * @return 结果
     */
    public int updateTEnclosure(TEnclosure tEnclosure);

    /**
     * 批量删除附件
     *
     * @param fIds 需要删除的附件ID
     * @return 结果
     */
    public int deleteTEnclosureByIds(Long[] fIds);

    /**
     * 删除附件信息
     *
     * @param fId 附件ID
     * @return 结果
     */
    public int deleteTEnclosureById(Long fId);
}
